Skip to main content
`Ctrl`+`K`

# PetscSFGetRanksSF

gets the `PetscSF` to perform communications with root ranks

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetRanksSF(PetscSF sf, PetscSF *rsf)

Collective

## Input Parameter

- sf - star forest

## Output Parameter

- rsf - the star forest with a single root per process to perform communications

## See Also

`PetscSF`, `PetscSFSetGraph()`, `PetscSFGetRootRanks()`

## Level

developer

## Location

src/vec/is/sf/interface/sf.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages